! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
program checkoutput
use dal
use errorhandling

implicit none

type(DataSetT)  :: inDataSet
type(TableT)    :: inTable
type(ColumnT)   :: smbCol
real(kind=single), pointer :: smbArray(:)
integer :: nRows, i
logical ok

inDataSet = dataSet("out.fts", read)
inTable = table(inDataSet, "RATE001")
nRows = numberOfRows(inTable)
smbCol = column(inTable,"RATE", read)
smbArray => real32data(smbCol)

ok = .true.
do i = 0, nRows-1
   if (smbArray(i) < 0) call warning("negCounts","Negative counts in rates file")
enddo

call release(smbCol)
call release(inTable)
call release(inDataSet)
end program

